org.apache.ignite.internal.processors.cache.dr

## Class GridCacheDrInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.dr.GridCacheDrInfo

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  GridCacheDrExpirationInfo

    public class GridCacheDrInfo
    extends Object
    implements Externalizable

Cache DR info used as argument in PUT cache internal interfaces.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheDrInfo()` `Externalizable` support.
`GridCacheDrInfo(CacheObject val, GridCacheVersion ver)` Constructor.
`GridCacheDrInfo(javax.cache.processor.EntryProcessor proc, GridCacheVersion ver)` Constructor.
`GridCacheDrInfo(GridCacheVersion ver)` Constructor.

### Method Summary

Methods
`javax.cache.processor.EntryProcessor` `entryProcessor()`
`long` `expireTime()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`long` `ttl()`
`CacheObject` `value()`
`Object` `valueEx()`
`GridCacheVersion` `version()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheDrInfo

    public GridCacheDrInfo()

`Externalizable` support.

#### GridCacheDrInfo

    public GridCacheDrInfo(CacheObject val,
                   GridCacheVersion ver)

Constructor.

Parameters:
  `val` - Value.
  `ver` - Version.

#### GridCacheDrInfo

    public GridCacheDrInfo(GridCacheVersion ver)

Constructor.

Parameters:
  `ver` - Version.

#### GridCacheDrInfo

    public GridCacheDrInfo(javax.cache.processor.EntryProcessor proc,
                   GridCacheVersion ver)

Constructor.

Parameters:
  `proc` - Entry processor.
  `ver` - Version.

### Method Detail

#### value

    public CacheObject value()

Returns:
  Value.

#### entryProcessor

    public javax.cache.processor.EntryProcessor entryProcessor()

Returns:
  Entry processor.

#### valueEx

    public Object valueEx()

Returns:
  Value (entry processor or cache object.

#### version

    public GridCacheVersion version()

Returns:
  Version.

#### ttl

    public long ttl()

Returns:
  TTL.

#### expireTime

    public long expireTime()

Returns:
  Expire time.

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017